Nano Banana 2 — Edit Image
curl --request POST \
--url https://api.muvi.video/v1/jobs/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {
"prompt": "<string>",
"image_urls": [
{}
],
"aspect_ratio": "<string>",
"resolution": "<string>"
}
}
'import requests
url = "https://api.muvi.video/v1/jobs/submit"
payload = {
"model": "<string>",
"input": {
"prompt": "<string>",
"image_urls": [{}],
"aspect_ratio": "<string>",
"resolution": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: {
prompt: '<string>',
image_urls: [{}],
aspect_ratio: '<string>',
resolution: '<string>'
}
})
};
fetch('https://api.muvi.video/v1/jobs/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "<string>",
"status": "<string>",
"estimatedCompletionTime": "<string>",
"costMicroCents": 123
}Nano Banana 2
Nano Banana 2 — Edit Image
Edit and transform images using Google’s Nano Banana 2 model
POST
/
v1
/
jobs
/
submit
Nano Banana 2 — Edit Image
curl --request POST \
--url https://api.muvi.video/v1/jobs/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {
"prompt": "<string>",
"image_urls": [
{}
],
"aspect_ratio": "<string>",
"resolution": "<string>"
}
}
'import requests
url = "https://api.muvi.video/v1/jobs/submit"
payload = {
"model": "<string>",
"input": {
"prompt": "<string>",
"image_urls": [{}],
"aspect_ratio": "<string>",
"resolution": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: {
prompt: '<string>',
image_urls: [{}],
aspect_ratio: '<string>',
resolution: '<string>'
}
})
};
fetch('https://api.muvi.video/v1/jobs/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "<string>",
"status": "<string>",
"estimatedCompletionTime": "<string>",
"costMicroCents": 123
}Edit and transform existing images using Google’s Nano Banana 2 model. Provide reference images along with a text prompt to guide the editing process.
| Property | Value |
|---|---|
| Provider | |
| Model | Nano Banana 2 |
| Capability | Edit Image |
| Category | Image to Image |
| Base Cost | 134,000 micro-cents/request ($0.134) |
| Processing Time | ~30 seconds |
Request Body
string
required
Model slug. Use
google/nano-banana-2/edit-image for image editing.object
required
Input parameters for image editing.
Hide properties
Hide properties
string
required
Text description for editing the image. Max length: 5,000 characters.
array
required
Reference image URLs for editing. Provide one or more image URLs to be edited.
string
Output aspect ratio. Default:
9:16. Options: 9:16, 16:9, 1:1, 2:3, 3:2, 4:3, 3:4, 4:5, 5:4, 21:9.string
Output resolution. Default:
1k. Options: 1k, 2k, 4k.string
HTTPS URL to receive a webhook notification when the job completes or fails.
Pricing
Base cost: 134,000 micro-cents per request ($0.134)finalCost = baseCost × resolution
| Factor | Option | Multiplier |
|---|---|---|
| Resolution | 1k | 1x |
2k | 1x | |
4k | 1.8x |
Default cost: 1k resolution = 134,000 × 1 = 134,000 micro-cents ($0.134)4k cost: 134,000 × 1.8 = 241,200 micro-cents ($0.2412)
Response
string
Unique identifier for the submitted job.
string
Initial job status. Always
"pending" on successful submission.string
ISO 8601 timestamp of the estimated completion time.
number
The cost of the job in micro-cents.
Code Examples
curl -X POST https://api.muvi.video/v1/jobs/submit \
-H "Authorization: Bearer $PIXELBYTE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "google/nano-banana-2/edit-image",
"input": {
"prompt": "Edit an image by replacing the background",
"image_urls": ["https://example.com/your-image.jpg"],
"aspect_ratio": "16:9",
"resolution": "1k"
}
}'
import requests
response = requests.post(
"https://api.muvi.video/v1/jobs/submit",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"model": "google/nano-banana-2/edit-image",
"input": {
"prompt": "Edit an image by replacing the background",
"image_urls": ["https://example.com/your-image.jpg"],
"aspect_ratio": "16:9",
"resolution": "1k"
}
}
)
data = response.json()
print(data)
const response = await fetch("https://api.muvi.video/v1/jobs/submit", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
model: "google/nano-banana-2/edit-image",
input: {
prompt: "Edit an image by replacing the background",
image_urls: ["https://example.com/your-image.jpg"],
aspect_ratio: "16:9",
resolution: "1k"
}
})
});
const data = await response.json();
console.log(data);
